Enlightenment Foundation Libraries 1.0 for Lucid, Maverick and Natty

Posted in Programming and Technical, Ubuntu on May 25th, 2011 by doctormo

There is a brand new stable release of the efl (Enlightenment Foundation Libraries) for Oneric, and because I want to play with python-efl, I needed to compile and build an entire PPA full of the newest stable release.

So here we have it, I invite anyone to use this PPA if you’re interested (or have a need) to use efl-1.0 in past Ubuntu releases.

sudo add-apt-repository ppa:doctormo/efl
sudo apt-get update
sudo apt-get install python-ecore ... etc

This ppa has taken me all week to build, it’s a lot of work so please do use it if you need up to date efl libraries or a newer cython build and especially if you need python-efl 0.7.3 or better.

I hope to use the code to produce the netbook-launcher effect in the logon screen, but this is very early days and it might be a fools errand. But it will be F’N awesome if successful. Report below if you know anything about programming with efl.

Tags: , , , ,